| Bsoft 1.9 Bernard's software package

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Functions | Variables
malloc.c File Reference
`#include "fftw-int.h"`
`#include <stdio.h>`
`#include <stdlib.h>`

Go to the source code of this file.

## Functions
void * | fftw_malloc (size_t n)
void | fftw_free (void *p)
void | fftw_die (const char *s)
void | fftw_check_memory_leaks (void)
void | fftw_print_max_memory_usage (void)

## Variables
fftw_malloc_type_function | fftw_malloc_hook = 0
fftw_free_type_function | fftw_free_hook = 0
fftw_die_type_function | fftw_die_hook = 0

## Function Documentation

void fftw_check_memory_leaks | ( | void |  | ) |

Definition at line 203 of file malloc.c.

void fftw_die | ( | const char * | s | ) |

Definition at line 192 of file malloc.c.

void fftw_free | ( | void * | p | ) |

Definition at line 178 of file malloc.c.

void* fftw_malloc | ( | size_t | n | ) |

Definition at line 160 of file malloc.c.

void fftw_print_max_memory_usage | ( | void |  | ) |

Definition at line 233 of file malloc.c.

## Variable Documentation

fftw_die_type_function fftw_die_hook = 0

Definition at line 35 of file malloc.c.

fftw_free_type_function fftw_free_hook = 0

Definition at line 34 of file malloc.c.

fftw_malloc_type_function fftw_malloc_hook = 0

Definition at line 33 of file malloc.c.